/*
	NumDigitsCmd.h - set number ofinteger digits

	Will Eighteen, 2000: will@opaline.demon.co.uk
*/

#ifndef NumDIGITSCMD_H
#define NumDIGITSCMD_H

#include "Cmd.h"

typedef void ( *enterCallback ) ( void *, char * );
typedef void ( *cancelCallback ) ( void * );

class LineEdit;

class NumDigitsCmd : public Cmd
{
	protected:
		virtual void doCommand();
		virtual void undoCommand();
		
	public:
		NumDigitsCmd ( const char *, int active = TRUE );
		virtual const char *const className() { return ( "NumDigitsCmd" ); }
		
	private:
		// note 'ok' is mapped to 'enter' by TextEdit
		static void enterCallback ( void *, char * );
		static void cancelCallback ( void * );
		void enter( int );
		LineEdit *_edit;
		Boolean _popupRealised;
};

#endif

/*
  Notes:
  
  UndoCommand is not implemeted here.
  
  The 'cancel' command is defaulted in TextEdit.
  
  'doCommand()' should provide a resource to be displayed.
  'enter' should set a resource from text retrieved from the text widget.
*/
