/*
 MessageDialogManager.h - avoid Motif icons in question/info dialogs

 Douglas A. Young, 'Object-oriented Programming with C++ and OSF/Motif'
 2nd ed., Prentice-Hall.
*/

#ifndef MESSAGEDIALOGMANAGER_H
#define MESSAGEDIALOGMANAGER_H

#include "DialogManager.h"

class MessageDialogManager : public DialogManager
{
	public:
		MessageDialogManager ( const char *name ) : DialogManager ( name ) {}
	
	protected:
		Widget createDialog ( Widget );
	
};

extern MessageDialogManager *messageDialogManager;

#endif

/*
  Notes:
  
  Intended to be used, like the InfoDialogMAnager, as an application-wide
  resource within the LessTifApp framework. Applications are only meant to have
  one instance of these classes and to call the post() method when a qusetion
  needs answering. Basic dialog management is provided by DialogManager; the
  MessageDialogManagerdefines the type of dialog displayed and creates the
  global instance MessageDialogManager (as for infoDialogManager).
*/
