/*
 Foundation.cc - class defining protocol for all components

 Douglas A. Young, 'Object-oriented Programming with C++ and OSF/Motif'
 2nd ed., Prentice-Hall
*/

#include "Foundation.h"
#include <assert.h>

#define NDEBUG


Foundation::Foundation ( const char *name )
{
	_w = NULL;
	assert ( name != NULL );
	_name = XtNewString ( name );
}

Foundation::~Foundation()
{
	if ( _w )
		XtDestroyWidget ( _w );

	XtFree ( _name );
}

void Foundation::manage()
{
	assert ( _w != NULL );
	XtManageChild ( _w );
}

void Foundation::unmanage()
{
	assert ( _w != NULL );
	XtUnmanageChild ( _w );
}


/*
  Notes:

  assert() is a macro printing error message, abort and core dump if not
  true.
  NDEBUG removes it from the final debugged code
*/
